-optimizationpasses 5
-dontusemixedcaseclassnames
-dontskipnonpubliclibraryclasses
-dontpreverify
-verbose
-optimizations !code/simplification/arithmetic,!field/*,!class/merging/*

-keep public class * extends android.app.Activity
-keep public class * extends android.app.Application
-keep public class * extends android.app.Service
-keep public class * extends android.content.BroadcastReceiver
-keep public class * extends android.content.ContentProvider
-keep public class * extends android.app.backup.BackupAgentHelper
-keep public class * extends android.preference.Preference

#所有混淆后的文件都放在com.senter里面
-repackageclasses com.senter

#下面的这个功能没有用到
#-keep public class com.android.vending.licensing.ILicensingService

-keepclasseswithmembernames class * {
    native <methods>;
}

-keepclasseswithmembers class * {
    public <init>(android.content.Context, android.util.AttributeSet);
}

-keepclasseswithmembers class * {
    public <init>(android.content.Context, android.util.AttributeSet, int);
}

-keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

-keep class * implements android.os.Parcelable {
  public static final android.os.Parcelable$Creator *;
}

#zql,以下是新加的
-dontshrink 
-dontoptimize
#-dontobfuscate

-dontwarn ***

# keep inner class,some apis depend it       Exceptions, InnerClasses, Signature
-keepattributes  **

# serialport JNI operation
#JNI  当前已经在KeepJustThisClass中进行了保护
#-keep class com.senter.support.util.SerialPort$*** {  *;}

-repackageclasses com.senter

#接口中要保留的接口类，这些类允许在客户的程序中优化或混淆
#OpenApi
-keep class com.senter.support.openapi.*** {  *;}
# client:hangzhou
-keep class com.senter.support.client.hangzhou*** {  *;}
# unstable like
-keep class com.senter.function.openapi.*** {  *;}


#实现中要保留的实现类，这些类即使在客户的程序中也不允许优化或混淆
-keep class ***KeepJustThisClass{*;}
-keep class *** implements ***KeepJustThisClass{*;}

