package com.senter.support.openapi.demo.lf;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.senter.function.openapi.unstable.StLf.TransceiverModel;
import com.senter.support.openapi.demo.lf.model.ActivityModelA;
import com.senter.support.openapi.demo.lf.model.ActivityModelB;
import com.senter.support.openapi.demo.lf.model.ActivityModelB2;
import com.senter.support.openapi.demo.lf.model.ActivityModelC;
import com.senter.support.openapi.demo.lf.model.ActivityModelD;
public class ActivityMain extends Activity
{
	Button modelA;
	Button modelB;
	Button modelB2;
	Button modelC;
	Button modelD;
	private boolean isfirst;
	
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.activity0_model_select);
		
		modelA=(Button) findViewById(R.id.idMainActivity_Model_btnA);
		modelA.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				if(isfirst==false){

					AlertDialog.Builder builder=new AlertDialog.Builder(ActivityMain.this);
					builder.setTitle(getString(R.string.point_out));
					builder.setMessage(getString(R.string.point_message));
					builder.setPositiveButton(getString(R.string.confirm), new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {
							isfirst=true;
							if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelA;
							startActivity(new Intent(ActivityMain.this, ActivityModelA.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
						}
					});
					builder.setNeutralButton(getString(R.string.cancel),new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {

						}
					});

					builder.create().show();
				}else{
					if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelA;
					startActivity(new Intent(ActivityMain.this, ActivityModelA.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
				}

			}
		});

		modelB=(Button) findViewById(R.id.idMainActivity_Model_btnB);
		modelB.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				if(isfirst==false){

					AlertDialog.Builder builder=new AlertDialog.Builder(ActivityMain.this);
					builder.setTitle(getString(R.string.point_out));
					builder.setMessage(getString(R.string.point_message));
					builder.setPositiveButton(getString(R.string.confirm), new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {
							isfirst=true;
							if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelB;
							startActivity(new Intent(ActivityMain.this, ActivityModelB.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
						}
					});
					builder.setNeutralButton(getString(R.string.cancel),new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {

						}
					});

					builder.create().show();
				}else{
					if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelB;
					startActivity(new Intent(ActivityMain.this, ActivityModelB.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
				}


			}
		});
		
		modelB2=(Button) findViewById(R.id.idMainActivity_Model_btnB2);
		modelB2.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				if(isfirst==false){
					AlertDialog.Builder builder=new AlertDialog.Builder(ActivityMain.this);
					builder.setTitle(getString(R.string.point_out));
					builder.setMessage(getString(R.string.point_message));
					builder.setPositiveButton(getString(R.string.confirm), new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {
							isfirst=true;
							if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelB2;
							startActivity(new Intent(ActivityMain.this, ActivityModelB2.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
						}
					});
					builder.setNeutralButton(getString(R.string.cancel),new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {

						}
					});

					builder.create().show();
				}else{
					if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelB2;
					startActivity(new Intent(ActivityMain.this, ActivityModelB2.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
				}

			}
		});

		modelC=(Button) findViewById(R.id.idMainActivity_Model_btnC);
		modelC.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				if(isfirst==false){


					AlertDialog.Builder builder=new AlertDialog.Builder(ActivityMain.this);
					builder.setTitle(
							getString(R.string.point_out));
					builder.setMessage(getString(R.string.point_message));
					builder.setPositiveButton(getString(R.string.confirm), new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {
							isfirst=true;
							if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelC;
							startActivity(new Intent(ActivityMain.this, ActivityModelC.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
						}
					});
					builder.setNeutralButton(getString(R.string.cancel),new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {

						}
					});

					builder.create().show();
				}else{
					if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelC;
					startActivity(new Intent(ActivityMain.this, ActivityModelC.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
				}
			}
		});

		modelD=(Button) findViewById(R.id.idMainActivity_Model_btnD);
		modelD.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				if(isfirst==false){

					AlertDialog.Builder builder=new AlertDialog.Builder(ActivityMain.this);
					builder.setTitle(getString(R.string.point_out));
					builder.setMessage(getString(R.string.point_message));
					builder.setPositiveButton(getString(R.string.confirm), new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {
							isfirst=true;
							if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelD;
							startActivity(new Intent(ActivityMain.this, ActivityModelD.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
						}
					});
					builder.setNeutralButton(getString(R.string.cancel),new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int which) {

						}
					});

					builder.create().show();
				}else{
					if (App.currentModell==null) App.currentModell=TransceiverModel.TransceiverModelD;
					startActivity(new Intent(ActivityMain.this, ActivityModelD.class).addFlags(Intent.FLAG_ACTIVITY_NEW_TASK));
				}
			}
		});
	}
	
	@Override
	protected void onResume()
	{

		if (App.currentModell!=null)
		{
			isfirst=true;
			modelA.setEnabled(false);
			modelB.setEnabled(false);
			modelB2.setEnabled(false);
			modelC.setEnabled(false);
			modelD.setEnabled(false);
			switch (App.currentModell)
			{
				case TransceiverModelA:
					modelA.setEnabled(true);
					break;
				case TransceiverModelB:
					modelB.setEnabled(true);
					break;
				case TransceiverModelB2:
					modelB2.setEnabled(true);
					break;
				case TransceiverModelC:
					modelC.setEnabled(true);
					break;
				case TransceiverModelD:
					modelD.setEnabled(true);
					break;
				default:
					throw new IllegalStateException();
			}
		}
		
		super.onResume();
	}
	
	
}
