package com.senter.support.openapi.demo.redlight;

import com.senter.support.openapi.StRedLight;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class RedLightActivity extends Activity
{
	private Views mViews;
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.redlightactivity);
		mViews=new Views();
	}
	
	private Thread hzThread;
	
	protected void onUiBtnOn()
	{
		if (hzThread!=null)
		{
			hzThread.interrupt();
			try
			{
				hzThread.join();
			}
			catch (InterruptedException e)
			{
				e.printStackTrace();
			}
			hzThread=null;
		}
		StRedLight.getInstance().powerOn();
	}
	

	protected void onUiBtnOff()
	{
		if (hzThread!=null)
		{
			hzThread.interrupt();
			try
			{
				hzThread.join();
			}
			catch (InterruptedException e)
			{
				e.printStackTrace();
			}
			hzThread=null;
		}
		StRedLight.getInstance().powerOff();
	}

	protected void onUiBtn2Hz()
	{
		if (hzThread!=null)
		{
			hzThread.interrupt();
			try
			{
				hzThread.join();
			}
			catch (InterruptedException e)
			{
				e.printStackTrace();
			}
			hzThread=null;
		}
		
		hzThread=new Thread()
		{
			public void run()
			{
				try
				{
					do
					{
						StRedLight.getInstance().powerOn();
						sleep(250);
						StRedLight.getInstance().powerOff();
						sleep(250);
					}while(true);
				}
				catch (InterruptedException e)
				{
					e.printStackTrace();
				}
			};
		};
		
		hzThread.start();
	}
	
	
	@Override
	protected void onPause()
	{
		if (hzThread!=null)
		{
			hzThread.interrupt();
			try
			{
				hzThread.join();
			}
			catch (InterruptedException e)
			{
				e.printStackTrace();
			}
			hzThread=null;
		}
		StRedLight.getInstance().powerOff();

		super.onPause();
	}
	
	
	
	
	
	
	
	
	private final class Views
	{
		Button btnOn=(Button) findViewById(R.id.idRedlightActivity_btnOn);
		Button btn2Hz=(Button) findViewById(R.id.idRedlightActivity_btn2Hz);
		Button btnOff=(Button) findViewById(R.id.idRedlightActivity_btnOff);
		
		{
			btnOn.setOnClickListener(new View.OnClickListener()
			{
				@Override
				public void onClick(View v)
				{
					onUiBtnOn();
				}
			});

			btn2Hz.setOnClickListener(new View.OnClickListener()
			{
				@Override
				public void onClick(View v)
				{
					onUiBtn2Hz();
				}
			});

			btnOff.setOnClickListener(new View.OnClickListener()
			{
				@Override
				public void onClick(View v)
				{
					onUiBtnOff();
				}
			});
		}
		
		
		
		
		
	}
}











